Bug 242774 - User switching sometimes doesn't work, giving a permissions error
User switching sometimes doesn't work, giving a permissions error
Product: Fedora
Classification: Fedora
Component: fast-user-switch-applet (Show other bugs)
i686 Linux
low Severity low
: ---
: ---
Assigned To: jmccann
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-06-05 14:56 EDT by Mikkel Lauritsen
Modified: 2015-01-14 18:20 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-06-16 21:26:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mikkel Lauritsen 2007-06-05 14:56:19 EDT
Description of problem: User switching sometimes doesn't work.

Version-Release number of selected component (if applicable):

How reproducible: sometimes; the exact circumstances are not clear.

Steps to Reproduce:
1. Using the User Switcher applet in the panel try to switch to another user.

Actual results: A dialog saying
User Switcher Error
Permissions Error
Your user does not have permissions to create additional logins.  Check your
~/.Xauthority setup.
~/.Xauthority file badly configured or missing.
100 Not authenticated

Expected results:
A login dialog for the selected user.

Additional info:
There are three user accounts on the machine. The problem only shows sometimes,
and has so far only been seen on one user account.

Apparently it's the exact same problem as reported in
I have also experienced the same problem with the applets not loading.
Comment 1 Mikkel Lauritsen 2007-06-05 14:58:05 EDT
An additional comment:
The error dialog can't be dismissed by clicking the Close button; only by
clicking the x in the upper right corner of the window frame.
Comment 2 Mikkel Lauritsen 2007-06-05 15:02:37 EDT
... and one more thing:

apparently the problem affects the Keyboard Indicator applet as well. It usually
displays the country code for the selected layout as a three letter abbreviation
in partial upper case (USA e.g.), but when user switching doesn't work it only
shows two lower case letters instead (us e.g.).
Comment 3 Mikkel Lauritsen 2007-06-05 15:49:23 EDT
Another potentially related problem regarding the panel reported as bug 242791.
Comment 4 Mikkel Lauritsen 2007-06-17 13:42:48 EDT
When the problems mentioned above appear logging out or shutting down doesn't
work either. The confirmation dialog doesn't respond to clicking the Log Out or
Shut Down buttons, and if the timer reaches 0 nothing happens.

A workaround for the user switching issue is to lock the screen, and then click
the Switch user button from there. Other concurrent sessions do apparently not
necessarily have the same problem with the panel misbehaving.

F7, current updates applied.
Comment 5 Mikkel Lauritsen 2007-11-29 12:08:55 EST
After upgrading to F8 the problem still occurs, although less frequently than on F7.
Comment 6 Bug Zapper 2008-05-14 08:50:08 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2008-06-16 21:26:09 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.